Marks a sent or overdue invoice uncollectible. Reminders stop and the open balance no longer counts as receivable.
Supabase browser session cookie. Supabase may split larger session values into chunked cookies like sb-auth-token.0.
In: cookie
uuiduuidapplication/json
Why the invoice is written off.
TypeScript Definitions
Use the request body type in TypeScript.
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/v1/organizations/123/invoices/123/write-off" \ -H "Content-Type: application/json" \ -d '{ "reason": "string" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9", "customerId": 1, "customerContactId": "94bcd060-4a66-4a44-96c9-7a2da2955e96", "customerReference": "string", "number": 1, "numberYear": 1, "numberPrefix": "string", "displayNumber": "string", "status": "draft", "dueDays": 0, "invoiceTemplateId": "0e2218cf-2209-4a99-926b-e096382f8ef3", "title": "string", "intro": "string", "terms": "string", "currency": "string", "vatInclusive": true, "discountKind": "none", "discountValue": 0, "discountDescription": "string", "promotionId": "3eaf888b-516c-4eac-ac00-1312640986a2", "subtotalExcl": 0, "vatTotal": 0, "totalIncl": 0, "issueDate": "string", "dueDate": "string", "publicMessage": "string", "footerText": "string", "sourceQuoteId": "770302a9-ee43-4907-b3ac-f9c522a6f776", "deliveryDate": "string", "kind": "invoice", "originalInvoiceId": "787ae005-a194-4a17-83df-7d3c81acedb2", "vatRegime": "standard", "sellerName": "string", "sellerAddressLine1": "string", "sellerAddressLine2": "string", "sellerAddressPostalCode": "string", "sellerAddressCity": "string", "sellerAddressCountry": "string", "sellerEmail": "string", "sellerPhone": "string", "sellerKvk": "string", "sellerBtw": "string", "sellerIban": "string", "buyerName": "string", "buyerAddressLine1": "string", "buyerAddressLine2": "string", "buyerAddressPostalCode": "string", "buyerAddressCity": "string", "buyerAddressCountry": "string", "buyerEmail": "string", "buyerKvk": "string", "buyerBtw": "string", "termsRichText": "string", "termsUrl": "string", "termsPdfFileId": "447ac172-1a77-4d3e-a448-6529f5bad5f6", "termsPdfVersionId": "357f5e3f-e5dd-4fb8-ab36-48697a651460", "sentAt": "2019-08-24T14:15:22Z", "paidAt": "2019-08-24T14:15:22Z", "cancelledAt": "2019-08-24T14:15:22Z", "archivedAt": "2019-08-24T14:15:22Z", "createdBy": "25a02396-1048-48f9-bf93-102d2fb7895e", "updatedBy": "b0efe45f-0520-4e21-90f0-7e35f137732e", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "amountPaidCents": 0, "amountDueCents": 0, "uncollectibleAt": "2019-08-24T14:15:22Z", "uncollectibleReason": "string", "onlinePaymentEnabled": true}1 <= length <= 2000